
function drawMinWindow()

	local drawTop = 20;

	wMinParent = Turbine.UI.Window();
	wMinParent:SetHeight(70);
	if gblMINWINWIDTH ~= nil then wMinParent:SetWidth(gblMINWINWIDTH) else wMinParent:SetWidth(400) end;
	if gblMINWINTOP ~= nil then wMinParent:SetTop(gblMINWINTOP) else wMinParent:SetTop(300) end;
	if gblMINWINLEFT ~= nil then wMinParent:SetLeft(gblMINWINLEFT) else wMinParent:SetLeft(300) end;
	wMinParent:SetBackColor(Turbine.UI.Color(0,0,0,0));
	wMinParent:SetVisible(false);

	blMinDragging = false;
	minRelX = 0;
	minRelY = 0;

	wMinParent.MouseDown = function (sender, args)

		blMinDragging = true;
		minRelX = args.X;
		minRelY = args.Y;

	end


	wMinParent.MouseUp = function (sender, args)

		blMinDragging = false;

	end


	wMinParent.MouseMove = function (sender, args)

		if blMinDragging == true then

			local curX = Turbine.UI.Display.GetMouseX();
			local curY = Turbine.UI.Display.GetMouseY();
			local scWidth = Turbine.UI.Display.GetWidth();
			local scHeight = Turbine.UI.Display.GetHeight();


			local curLeft = curX - minRelX;
			local curTop = curY - minRelY;

			if curLeft < 0 then curLeft = 0 end;
			if curLeft > (scWidth-wMinParent:GetWidth()) then curLeft = scWidth-wMinParent:GetWidth() end;
			if curTop < 0 then curTop = 0 end;
			if curTop > (scHeight-wMinParent:GetHeight()) then curTop = scHeight-wMinParent:GetHeight() end;

			wMinParent:SetLeft(curLeft);
			wMinParent:SetTop(curTop);

			gblMINWINLEFT = curLeft;
			gblMINWINTOP = curTop;

		end

	end



	wBackGround = Turbine.UI.Window();
	wBackGround:SetParent(wMinParent);
	wBackGround:SetSize(wMinParent:GetWidth()-5,21);
	wBackGround:SetPosition(0,drawTop);
	wBackGround:SetBackColor(Turbine.UI.Color(0,0,0));
	wBackGround:SetOpacity(0.15);
	wBackGround:SetZOrder(1);
	wBackGround:SetVisible(true);

	btnMax = Turbine.UI.Control();
	btnMax:SetParent(wMinParent);
	btnMax:SetSize(24,18);
	btnMax:SetPosition(wMinParent:GetWidth()-25,0);
	btnMax:SetBackground("GaluhadPlugins/ChatEdit/resources/max_up.jpg");


	btnMax.MouseEnter = function(sender,args)

		btnMax:SetBackground("GaluhadPlugins/ChatEdit/resources/max_over.jpg")

	end

	btnMax.MouseLeave = function(sender,args)

		btnMax:SetBackground("GaluhadPlugins/ChatEdit/resources/max_up.jpg")

	end

	btnMax.MouseDown = function(sender,args)

		btnMax:SetBackground("GaluhadPlugins/ChatEdit/resources/max_down.jpg")

	end

	btnMax.MouseUp = function(sender,args)

		btnMax:SetBackground("GaluhadPlugins/ChatEdit/resources/max_over.jpg")
		wParentWin:SetVisible(true);
		txtInput:SetText(txtMinInput:GetText());
		wMinParent:SetVisible(false);

	end


	-- Draw drop-down for chat channels -----------------------------------------------
	cMinSpeechIcon = Turbine.UI.Control();
	cMinSpeechIcon:SetParent(wMinParent);
	cMinSpeechIcon:SetSize(21,18);
	cMinSpeechIcon:SetPosition(3,drawTop+2);
	cMinSpeechIcon:SetBackground("GaluhadPlugins/ChatEdit/resources/speechc.tga");
	cMinSpeechIcon:SetZOrder(2);


	cMinSpeechIcon.MouseClick = function(sender, args)
		displayMenu();
	end


	lblMinChannel = Turbine.UI.Label();
	lblMinChannel:SetParent(wMinParent);
	lblMinChannel:SetSize(31,21);
	lblMinChannel:SetPosition((cMinSpeechIcon:GetLeft() + cMinSpeechIcon:GetWidth() + 4), drawTop);
	lblMinChannel:SetForeColor(Turbine.UI.Color(0,0.9,0.9));
	lblMinChannel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	lblMinChannel:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	lblMinChannel:SetMultiline(false);
	lblMinChannel:SetOutlineColor(Turbine.UI.Color(0,0,0));
	lblMinChannel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	lblMinChannel:SetText("Say:");
	lblMinChannel:SetZOrder(3);

	txtMinInput = Turbine.UI.TextBox();
	txtMinInput:SetParent(wMinParent);
	txtMinInput:SetSize((wMinParent:GetWidth() - (lblMinChannel:GetWidth() + lblMinChannel:GetLeft()) - 8),21);
	txtMinInput:SetPosition((lblMinChannel:GetLeft() + lblMinChannel:GetWidth() + 3),drawTop);
	txtMinInput:SetBackColor(Turbine.UI.Color(0.25,0,0,0));
	txtMinInput:SetForeColor(Turbine.UI.Color(1,1,1));
	txtMinInput:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	txtMinInput:SetMarkupEnabled(true);
	txtMinInput:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	txtMinInput:SetSelectable(true);
	txtMinInput:SetMultiline(false);
	txtMinInput:SetOutlineColor(Turbine.UI.Color(0,0,0));
	txtMinInput:SetFontStyle(Turbine.UI.FontStyle.Outline);
	txtMinInput:SetZOrder(100);
	txtMinInput:SetVisible(true);


	txtMinInput.TextChanged = function()

		OutputSuper = tostring(txtMinInput:GetText());

		_MARKUP = CreateMarkupTable(OutputSuper);

		minAliasUpdate();

	end


	wTransResize = Turbine.UI.Window()
	wTransResize:SetParent(wMinParent);
	wTransResize:SetSize(5,txtMinInput:GetHeight());
	wTransResize:SetPosition(wMinParent:GetWidth()-5,txtMinInput:GetTop());
	wTransResize:SetBackColor(Turbine.UI.Color(0,0,0,0));
	wTransResize:SetZOrder(999);
	wTransResize:SetVisible(true);

	blMinResizing = false;
	minResizeOrgX = 0;
	initWidth = 0;

	wTransResize.MouseEnter = function (sender, args)

		local curX = Turbine.UI.Display.GetMouseX();
		local curY = Turbine.UI.Display.GetMouseY();

		cMinResize:SetPosition(curX-(cMinResize:GetWidth()/2),curY-(cMinResize:GetHeight()/2));
		cMinResize:SetVisible(true);


	end

	wTransResize.MouseLeave = function (sender, args)

		if blMinResizing == false then cMinResize:SetVisible(false) end;

	end

	wTransResize.MouseDown = function (sender, args)

		blMinResizing = true;
		minResizeOrgX = Turbine.UI.Display.GetMouseX();
		initWidth = wMinParent:GetWidth();

	end

	wTransResize.MouseUp = function (sender, args)

		blMinResizing = false;
		cMinResize:SetVisible(false)

	end

	wTransResize.MouseMove = function (sender, args)

		if blMinResizing == true then

			-- Resize main win.. minResize(newWidth)
			local curX = Turbine.UI.Display.GetMouseX();
			local curY = Turbine.UI.Display.GetMouseY();
			local transWinX,transWinY = wTransResize:PointToScreen(x,y);

			local ResizeArrowTop = curY-(cMinResize:GetHeight()/2);

			if ResizeArrowTop < (transWinY-12) then ResizeArrowTop = transWinY-12 end;
			if ResizeArrowTop > (transWinY+2) then ResizeArrowTop = transWinY+2 end;

			cMinResize:SetTop(ResizeArrowTop);

			local widthVar = curX-minResizeOrgX;

			minResize(initWidth+widthVar);



			cMinResize:SetLeft(transWinX-(cMinResize:GetWidth()/2));

		else

			local curX = Turbine.UI.Display.GetMouseX();
			local curY = Turbine.UI.Display.GetMouseY();
			local transWinX,transWinY = wTransResize:PointToScreen(x,y);

			local ResizeArrowTop = curY-(cMinResize:GetHeight()/2);

			if ResizeArrowTop < (transWinY-12) then ResizeArrowTop = transWinY-12 end;
			if ResizeArrowTop > (transWinY+2) then ResizeArrowTop = transWinY+2 end;

			cMinResize:SetTop(ResizeArrowTop);

		end

	end


	wMinFavBack = {};
	wMinFavColor = {};

	-- Favorite colors
	for i=1, iNumFavs, 1 do

		local boxSize = 18;

		curLeft = lblMinChannel:GetLeft() + (i-1)*(boxSize + 5);
		wMinFavBack[i] = Turbine.UI.Window();
		wMinFavBack[i]:SetParent(wMinParent);
		wMinFavBack[i]:SetSize(boxSize,boxSize);
		wMinFavBack[i]:SetPosition(curLeft,drawTop+txtMinInput:GetHeight()+5);
		wMinFavBack[i]:SetBackColor(Turbine.UI.Color(1,1,1));
		wMinFavBack[i]:SetVisible(true);

		wMinFavColor[i] = Turbine.UI.Window();
		wMinFavColor[i]:SetParent(wMinFavBack[i]);
		wMinFavColor[i]:SetSize(boxSize-2,boxSize-2);
		wMinFavColor[i]:SetPosition(1,1);
		wMinFavColor[i]:SetBackColor(wFavColor[i]:GetBackColor());
		wMinFavColor[i]:SetVisible(true);

		wMinFavColor[i].MouseClick = function(sender, args)

			if (args.Button == Turbine.UI.MouseButton.Left) then

				local tempColor = sender:GetBackColor();
				local tempHex = TO_HEX(math.floor(255*tempColor.R)) .. TO_HEX(math.floor(255*tempColor.G)) .. TO_HEX(math.floor(255*tempColor.B));

				UpdateAll(tempHex)

				minAliasUpdate();

			end

		end

	end



	btnMinSend = Turbine.UI.Window();
	btnMinSend:SetParent(wMinParent);
	btnMinSend:SetSize(96,18);
	btnMinSend:SetPosition((wMinParent:GetWidth() - btnMinSend:GetWidth() - 1),(drawTop+txtMinInput:GetHeight()+5));
	btnMinSend:SetBackground("GaluhadPlugins/ChatEdit/resources/send_up.jpg");
	btnMinSend:SetVisible(true);
	btnMinSend:SetZOrder(50);
	btnMinSend:SetMouseVisible(false);


	btnMinTarget = Turbine.UI.Lotro.Button();
	btnMinTarget:SetParent(wMinParent);
	btnMinTarget:SetSize(96,18);
	btnMinTarget:SetPosition(btnMinSend:GetLeft() - 106, btnMinSend:GetTop()-1);
	btnMinTarget:SetText(";target");
	btnMinTarget:SetVisible(true);

	btnMinTarget.MouseClick = function (sender, args)

		-- Adds ;target to the text
		txtMinInput:InsertText(";target");
		minAliasUpdate();

	end


	qsMinTemp = Turbine.UI.Lotro.Quickslot();
	qsMinTemp:SetParent(wMinParent);
	qsMinTemp:SetSize(96,18);
	qsMinTemp:SetPosition(btnMinSend:GetLeft(),btnMinSend:GetTop());
	qsMinTemp:SetZOrder(1);
	qsMinTemp:SetVisible(true);


	qsMinTemp.MouseEnter = function(sender,args)

		btnMinSend:SetBackground("GaluhadPlugins/ChatEdit/resources/send_over.jpg")

	end

	qsMinTemp.MouseLeave = function(sender,args)

		btnMinSend:SetBackground("GaluhadPlugins/ChatEdit/resources/send_up.jpg")

	end

	qsMinTemp.MouseDown = function(sender,args)

		btnMinSend:SetBackground("GaluhadPlugins/ChatEdit/resources/send_down.jpg")

	end

	qsMinTemp.MouseUp = function(sender,args)

		qsMinTemp:SetWantsUpdates(true);
		btnMinSend:SetBackground("GaluhadPlugins/ChatEdit/resources/send_over.jpg")

	end

	qsMinTemp.Update = function ()
		qsMinTemp:SetWantsUpdates(false);
		txtMinInput:SetText("");
		OutputSuper = "";
		minAliasUpdate();
		AliasUpdate();
	end


	cMinResize=Turbine.UI.Window();
	cMinResize:SetSize(32,20);
	cMinResize:SetBackground(0x410081bf)
	cMinResize:SetStretchMode(2);
	cMinResize:SetVisible(false);
	cMinResize:SetMouseVisible(false);
	cMinResize:SetZOrder(1000);

end


function minResize(newWidth)

	local maxWidth = Turbine.UI.Display.GetWidth();
	maxWidth = maxWidth - wMinParent:GetLeft()-20;

	if newWidth < 400 then newWidth = 400 end;
	if newWidth > maxWidth then newWidth = maxWidth end;

	gblMINWINWIDTH = newWidth;
	wMinParent:SetWidth(newWidth);
	wBackGround:SetWidth(newWidth-5);
	txtMinInput:SetWidth(newWidth - (lblMinChannel:GetWidth() + lblMinChannel:GetLeft()) - 8);
	btnMinSend:SetLeft(newWidth - btnMinSend:GetWidth() - 1);
	btnMinTarget:SetLeft(btnMinSend:GetLeft()-106);
	btnMax:SetLeft(newWidth-25);
	wTransResize:SetLeft(newWidth-5);
	qsMinTemp:SetLeft(btnMinSend:GetLeft());

end


function minAliasUpdate()

	tempString = tempChannel .. " " .. OutputSuper;

	qsTemp:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, tempString));
	qsMinTemp:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, tempString));

	txtOutput:SetText(OutputSuper);

end
